<?php
	class FFVE_SETTINGS
	{
		private $login;
		private $password;
		private $couponCode;
		private $modProd;
		private $server;
		public function __construct()
		{
			// Initialize default values or load saved settings from the database
			$this->login = Configuration::get('FFVE_LOGIN');
			$this->password = Configuration::get('FFVE_PASSWORD');
			$this->couponCode = Configuration::get('FFVE_COUPON_CODE');
			$this->modProd = Configuration::get('FFVE_MOD_PROD');
			$this->server = Configuration::get('FFVE_SERVER');
		}
		
		public function getLogin(){return $this->login;}
		public function getUser(){return $this->login;}
		public function getPassword(){return $this->password;}
		public function getCouponCode(){return $this->couponCode;}
		public function getModProd(){return $this->modProd;}
		public function getServer(){ return $this->server;}
		public function setServer($login)
		{
			$this->server = $login;
			Configuration::updateValue('FFVE_SERVER', $login);
		}
		public function setLogin($login)
		{
			$this->login = $login;
			Configuration::updateValue('FFVE_LOGIN', $login);
		}
		public function setPassword($password)
		{
			$this->password = $password;
			Configuration::updateValue('FFVE_PASSWORD', $password);
		}
		public function setModProd($modProd)
		{
			$this->modProd = $modProd;
			Configuration::updateValue('FFVE_MOD_PROD', $modProd);
		}
		public function setCouponCode($couponCode)
		{
			$this->couponCode = $couponCode;
			Configuration::updateValue('FFVE_COUPON_CODE', $couponCode);
		}
	}			